Subject: [Fot] Cleaning carbs

From: [email-masked]
Date: Sun, 6 Nov 2016 13:22:10 -0500

--===============4504471992590486707==
	boundary="----=_Part_71799_1566993212.1478456530528"

------=_Part_71799_1566993212.1478456530528
Content-Transfer-Encoding: 7bit

Amigos, My Webers are filthy inside and out.  What's a good cleaner these days?  I think I need to soak the bodies as well as the tuning bits.  Please don't sat Berrymans as I've had  little luck with that stinky crap these days.

------=_Part_71799_1566993212.1478456530528
Content-Transfer-Encoding: 7bit

<font color='black' size='2' face='arial'>Amigos, My Webers are filthy inside and out. &nbsp;What's a good cleaner these days? &nbsp;I think I need to soak the bodies as well as the tuning bits. &nbsp;Please don't sat Berrymans as I've had &nbsp;little luck with that stinky crap these days.
<div><br>
</div>
</font>
------=_Part_71799_1566993212.1478456530528--

--===============4504471992590486707==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive

--===============4504471992590486707==--